%define upstream_name    Class-Loader
%define upstream_version 2.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:        Load modules and create objects on demand
License:        Artistic
Group:          Development/Perl
Url:            https://metacpan.org/release/%{upstream_name}
Source0:        https://cpan.metacpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch: noarch


%description
Certain applications like to defer the decision to use a
particular module till runtime. This is possible in perl,
and is a useful trick in situations where the type of data
is not known at compile time and the application doesn't
wish to pre-compile modules to handle all types of data it
can work with. Loading modules at runtime can also provide
flexible interfaces for perl modules. Modules can let the
programmer decide what modules will be used by it instead
of hard-coding their names.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
CFLAGS="$RPM_OPT_FLAGS" echo | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc META.yml
%{perl_vendorlib}/Class
%{_mandir}/*/*

%changelog
* Tue Nov 01 2022 umeabot <umeabot> 2.30.0-10.mga9
+ Revision: 1901144
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.30.0-9.mga8
+ Revision: 1493545
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 2.30.0-8.mga7
+ Revision: 1266429
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 2.30.0-7.mga6
+ Revision: 1023978
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 2.30.0-6.mga6
+ Revision: 939898
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.30.0-5.mga5
+ Revision: 739415
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.30.0-4.mga5
+ Revision: 683926
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.30.0-3.mga4
+ Revision: 510122
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.30.0-2.mga3
+ Revision: 364430
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 2.30.0-1.mga1
+ Revision: 28594
- mageia rebuild
- imported package perl-Class-Loader

